Skip to content

Resend Verification Public

POST
/api/v1/auth/resend-verification-public
curl --request POST \
--url https://api.qeychain.xyz/api/v1/auth/resend-verification-public \
--header 'Content-Type: application/json' \
--data '{ "email": "hello@example.com" }'

Resend verification email by email address (no auth required). Always returns success to avoid leaking whether an account exists.

Media typeapplication/json
ForgotPasswordRequest
object
email
required
Email
string format: email
Examplegenerated
{
"email": "hello@example.com"
}

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}